Page MenuHomePhabricator

dwisehaupt needs access to iginca for frack hosts
Closed, ResolvedPublic

Description

I am ready to start sharing the load for frack monitoring with @Jgreen . To do so, I believe I need access to icinga to get alerts and to be able to acknowledge alerts. According to https://wikitech.wikimedia.org/wiki/Icinga, I will need a contact block set up and possibly and entry in a htpasswd file so I can log in with my LDAP credentials.

Could you please let me know what is needed and how I can help to get this set up?

Thanks

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2019, 5:06 PM
crusnov triaged this task as Normal priority.Oct 17 2019, 2:46 PM
Jgreen raised the priority of this task from Normal to Needs Triage.Wed, Nov 6, 4:45 PM

@Dwisehaupt To access Icinga you need to be in cn=wmf, which will also grant you access to a number of other services: https://wikitech.wikimedia.org/wiki/LDAP/Groups

@MoritzMuehlenhoff Thanks. Is there something else I need to do to request this or will this ticket suffice?

That's all, I'll add you tomorrow to the group.

Wonderful, thanks again.

Dzahn added a subscriber: Dzahn.Wed, Nov 6, 5:22 PM

That only gives read access to the web interface though.

To run commands like scheduling a downtime for a server or ACKing alerts and also the notification part to get emails or SMS the contact in Icinga itself is needed.

Change 549129 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] icinga: add dwisehaupt to fr-tech-ops contact group

https://gerrit.wikimedia.org/r/549129

Change 549129 merged by Dzahn:
[operations/puppet@production] icinga: add dwisehaupt to fr-tech-ops contact group

https://gerrit.wikimedia.org/r/549129

Change 549133 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] icinga: authorize Dwisehaupt to run commands

https://gerrit.wikimedia.org/r/549133

Dzahn claimed this task.Wed, Nov 6, 6:31 PM

Change 549143 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admins: add Dallas Wisehaupt to ldap_only_admins (wmf)

https://gerrit.wikimedia.org/r/549143

Change 549143 merged by Dzahn:
[operations/puppet@production] admins: add Dallas Wisehaupt to ldap_only_admins (wmf)

https://gerrit.wikimedia.org/r/549143

Mentioned in SAL (#wikimedia-operations) [2019-11-06T18:43:18Z] <mutante> LDAP - add dwisehaupt to wmf group (T235676)

Change 549133 merged by Dzahn:
[operations/puppet@production] icinga: authorize Dwisehaupt to run commands

https://gerrit.wikimedia.org/r/549133

Dzahn closed this task as Resolved.Wed, Nov 6, 8:47 PM

Dallas confirmed he already got an SMS and could schedule a downtime. So this should be resolved.